org.apache.uima.jcas.cas

## Class Int2FS<T extends TOP>

- java.lang.Object
- - org.apache.uima.cas.impl.FeatureStructureImplC
  - - org.apache.uima.jcas.cas.TOP
    - - org.apache.uima.jcas.cas.Int2FS<T>

- All Implemented Interfaces:
    Cloneable, FeatureStructure, FeatureStructureImpl, UimaSerializable, UimaSerializableFSs

      public class Int2FS<T extends TOP>
      extends TOP
      implements UimaSerializableFSs, Cloneable

  A map from ints to Feature Structures Is Pear aware - stores non-pear versions but may return pear version in pear contexts

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `FeatureStructureImplC.PrintReferences`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `_FeatName_fsArray`
    `static String` | `_FeatName_intArray`
    `static String` | `_TypeName`
    `static int` | `type`
    `static int` | `typeIndexID`

    - ### Fields inherited from class org.apache.uima.jcas.cas.TOP

      `_singleton`

    - ### Fields inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `_casView, _id, DISABLE_RUNTIME_FEATURE_VALIDATION, DISABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALIDATION, IS_ENABLE_RUNTIME_FEATURE_VALUE_VALIDATION, IS_V2_PRETTY_PRINT, V2_PRETTY_PRINT`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Int2FS()` Never called.
    `` | `Int2FS(JCas jcas)`
    `` | `Int2FS(JCas jcas, int length)` Make a new Int2FS map with an initial capacity.
    `` | `Int2FS(TypeImpl type, CASImpl casImpl)` Internal - constructor used by generator

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `_init_from_cas_data()`
    `void` | `_save_to_cas_data()` This method is called by the framework before serialization of an instance of this JCas class.
    `FeatureStructureImplC` | `_superClone()`
    `void` | `clear()`
    `boolean` | `containsKey(Object key)`
    `boolean` | `containsValue(Object value)`
    `T` | `get(int key)`
    `int` | `getTypeIndexID()`
    `boolean` | `isEmpty()` Checks if is empty.
    `Iterator<IntEntry<T>>` | `iterator()`
    `T` | `put(int key, T value)`
    `T` | `remove(int key)`
    `int` | `size()`
    `String` | `toString()`
    `Collection<T>` | `values()`

    - ### Methods inherited from class org.apache.uima.jcas.cas.TOP

      `_createJCasHashMapReserve, _createSearchKey`

    - ### Methods inherited from class org.apache.uima.cas.impl.FeatureStructureImplC

      `_copyIntAndRefArraysEqTypesFrom, _copyIntAndRefArraysFrom, _copyIntArrayEqTypesFrom, _getBooleanValueNc, _getBooleanValueNc, _getByteValueNc, _getByteValueNc, _getDoubleValueNc, _getDoubleValueNc, _getFeatFromAdjOffset, _getFeatureValueNc, _getFeatureValueNc, _getFloatValueNc, _getFloatValueNc, _getIntLikeValue, _getIntValueNc, _getIntValueNc, _getLongValueNc, _getLongValueNc, _getRefValueCommon, _getShortValueNc, _getShortValueNc, _getStringValueNc, _getStringValueNc, _getTypeCode, _getTypeImpl, _getView, _id, _inSetSortedIndex, _isJCasHashMapReserve, _isPearTrampoline, _maybeGetBaseForPearFs, _maybeGetBaseForPearFs, _maybeGetPearFs, _maybeGetPearFs, _resetInSetSortedIndex, _setBooleanValueNcNj, _setBooleanValueNcNj, _setBooleanValueNfc, _setByteValueNcNj, _setByteValueNcNj, _setByteValueNfc, _setDoubleValueNcNj, _setDoubleValueNcNj, _setDoubleValueNfc, _setFeatureValueNcNj, _setFeatureValueNcNj, _setFeatureValueNcWj, _setFloatValueNcNj, _setFloatValueNcNj, _setFloatValueNfc, _setInSetSortedIndexed, _setIntLikeValue, _setIntLikeValueNcNj, _setIntValueCJ, _setIntValueNcNj, _setIntValueNcNj, _setIntValueNfc, _setIntValueNfcCJ, _setJCasHashMapReserve, _setLongValueCJ, _setLongValueNcNj, _setLongValueNcNj, _setLongValueNfc, _setLongValueNfcCJ, _setPearTrampoline, _setRefValueCJ, _setRefValueCommon, _setRefValueCommonWj, _setRefValueNfcCJ, _setShortValueNcNj, _setShortValueNcNj, _setShortValueNfc, _setStringValueNcNj, _setStringValueNcWj, _setStringValueNfc, _setTypeImpl, addStringOrPrimitive, addToIndexes, addToIndexes, addToIndexes, clone, compare, equals, getAddress, getBooleanValue, getByteValue, getCAS, getCASImpl, getDoubleValue, getFeatureValue, getFeatureValueAsString, getFloatValue, getIntValue, getLongValue, getLowLevelCas, getShortValue, getStringValue, getType, hashCode, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrint, prettyPrintShort, removeFromIndexes, removeFromIndexes, removeFromIndexes, setBooleanValue, setByteValue, setDoubleValue, setFeatureValue, setFeatureValueFromString, setFloatValue, setIntValue, setLongValue, setShortValue, setStringValue, toShortString, toString, wrapGetIntCatchException`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.uima.UimaSerializableFSs

      `_save_fsRefs_to_cas_data`

    - ### Methods inherited from interface org.apache.uima.UimaSerializable

      `_reset_cas_data, clone`

    - ### Methods inherited from interface org.apache.uima.cas.FeatureStructure

      `getJCas`

- - ### Field Detail

    - #### _TypeName

          public static final String _TypeName

      See Also:
        Constant Field Values

    - #### typeIndexID

          public static final int typeIndexID

    - #### type

          public static final int type

    - #### _FeatName_fsArray

          public static final String _FeatName_fsArray

      See Also:
        Constant Field Values

    - #### _FeatName_intArray

          public static final String _FeatName_intArray

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Int2FS

          protected Int2FS()

      Never called. Disable default constructor

    - #### Int2FS

          public Int2FS(TypeImpl type,
                        CASImpl casImpl)

      Internal - constructor used by generator
      Parameters:
        `casImpl` - the CAS this Feature Structure belongs to
        `type` - the type of this Feature Structure

    - #### Int2FS

          public Int2FS(JCas jcas)

      Parameters:
        `jcas` - JCas to which this Feature Structure belongs

    - #### Int2FS

          public Int2FS(JCas jcas,
                        int length)

      Make a new Int2FS map with an initial capacity.
      Parameters:
        `jcas` - The JCas
        `length` - initial size

  - ### Method Detail

    - #### getTypeIndexID

          public int getTypeIndexID()

      Overrides:
        `getTypeIndexID` in class `TOP`
      Returns:
        index of the type

    - #### _init_from_cas_data

          public void _init_from_cas_data()

      Specified by:
        `_init_from_cas_data` in interface `UimaSerializable`

    - #### _save_to_cas_data

          public void _save_to_cas_data()

      Description copied from interface: `UimaSerializable`
      This method is called by the framework before serialization of an instance of this JCas class. The implementation should save whatever data is needed into Features of this JCas class that can be serialized by UIMA.
      Specified by:
        `_save_to_cas_data` in interface `UimaSerializable`

    - #### _superClone

          public FeatureStructureImplC _superClone()

      Specified by:
        `_superClone` in interface `UimaSerializable`

    - #### values

          public Collection<T> values()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `FeatureStructureImplC`

    - #### size

          public int size()

    - #### isEmpty

          public boolean isEmpty()

      Checks if is empty.
      Returns:
        true, if is empty
      See Also:
        `HashSet.isEmpty()`

    - #### containsKey

          public boolean containsKey(Object key)

    - #### containsValue

          public boolean containsValue(Object value)

    - #### get

          public T get(int key)

    - #### put

          public T put(int key,
                       T value)

    - #### remove

          public T remove(int key)

    - #### clear

          public void clear()

    - #### iterator

          public Iterator<IntEntry<T>> iterator()

Copyright © 2006–2022 The Apache Software Foundation. All rights reserved.